commit 32abb63
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 25 11:19:05 2016 +0200

    proto.c: add bounds check to proto_tree_add_text(_valist)
    
    Bug: 12659
    Change-Id: I44cb3ce8e647ae2816d5ffa95435068c435a1e5c
    Reviewed-on: https://code.wireshark.org/review/16648
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 56706427f53cc64793870bf072c2c06248ae88f3)
    Conflicts:
    	epan/proto.c
    Reviewed-on: https://code.wireshark.org/review/16697
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e347b39
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 25 13:32:45 2016 +0200

    LDSS: check if a conversation already exists before recreating it
    
    Bug: 12662
    Change-Id: I81d91d54544e5865336dc08ffda9fe109fc643ed
    Reviewed-on: https://code.wireshark.org/review/16660
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5a469ddc893f7c1912d0e15cc73bd3011e6cc2fb)
    Reviewed-on: https://code.wireshark.org/review/16663

commit 8f16007
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 25 09:37:25 2016 +0200

    RLC: fix a variable overflow in rlc_decode_li function
    
    Bug: 12660
    Change-Id: I20a423eb9aa72383ac28d176bc60751ed36be9bd
    Reviewed-on: https://code.wireshark.org/review/16639
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 6cf9616df68a4db7e436bb77392586ff9ad84feb)
    Reviewed-on: https://code.wireshark.org/review/16647

commit 604b892
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 25 09:54:06 2016 +0200

    RLC: fix a stack overflow in rlc_decode_li function
    
    The test to check whether the array was full or not was off by 1
    
    Bug: 12664
    Change-Id: If2057b71d92c7f03e05b0f4676abc62d5a03ae73
    Reviewed-on: https://code.wireshark.org/review/16640
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 47a5fa850b388fcf4ea762073806f01b459820fe)
    Reviewed-on: https://code.wireshark.org/review/16643

commit 5bd1dd4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 24 08:22:49 2016 -0700

    [Automatic update for 2016-07-24]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I10ddf7c792e3fd3654a4e3cae7ec3d0ba99689e0
    Reviewed-on: https://code.wireshark.org/review/16629
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cac3462
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 17 08:17:24 2016 -0700

    [Automatic update for 2016-07-17]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ic60f7dd48f8e73fb002c1c9c619bd7dfe79e55c0
    Reviewed-on: https://code.wireshark.org/review/16515
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b5a1074
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jul 16 23:24:00 2016 +0200

    MMSE: remove proto_tree_add_text calls
    
    Backport changes done previously in master-2.0 branch
    
    Bug: 12624
    Change-Id: Ife4c700a29f5e728743c38ee37541ea496091f89
    Reviewed-on: https://code.wireshark.org/review/16504
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ebaa83e
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jul 12 08:21:35 2016 -0400

    Remove T.30 FCF mask.
    
    Found by VS Code Analysis, verified with spec that mask isn't needed.
    Also included link to current spec.
    
    Bug: 1918
    Change-Id: Ic3e8ee599501c7c12717649579ffd70581622178
    Reviewed-on: https://code.wireshark.org/review/16392
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit e063924a02a06b1d0084b6aa584a3785d6e026b8)
    Reviewed-on: https://code.wireshark.org/review/16401
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    (cherry picked from commit 7780d3d12c5a341ac2b7da312719e05fd796bb3f)
    Reviewed-on: https://code.wireshark.org/review/16403

commit e8a2201
Author: Nick Bedbury <npbedbur@syr.edu>
Date:   Thu Nov 19 08:43:52 2015 -0500

    Fixing picosecond timestamp for vrt protocol.  Needs to be parsed as uint64 not double
    
    Change-Id: I4c3cf4aa84a9208c382fa4a50ca3c2ffb1773ead
    Reviewed-on: https://code.wireshark.org/review/11962
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1a841483e9df85f913ece0286a6e0d4f97a859c2)
    Reviewed-on: https://code.wireshark.org/review/16390
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 8b6c3bb
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 10 08:17:28 2016 -0700

    [Automatic update for 2016-07-10]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I75df87975e7e2ba0f3890ce6ca3c8561878fa08d
    Reviewed-on: https://code.wireshark.org/review/16370
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ee37b7d
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jul 9 09:05:12 2016 -0400

    packet-wsp.c: Fix infinite loop in add_headers
    
    # Conflicts:
    #	epan/dissectors/packet-wsp.c
    
    Bug: 12594
    Change-Id: Id86d1e5f2db12871bc1b345721e79e57192f01e1
    Reviewed-on: https://code.wireshark.org/review/16355
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a9d5256890c9189c7461bfce6ed6edce5d861499)
    Reviewed-on: https://code.wireshark.org/review/16358
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/16360

commit 432bae9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 9 00:07:52 2016 -0700

    Check for pcapng files when reading from a pipe.
    
    That way, people don't get confused by an "Unrecognized libpcap format"
    error - it's *not* libpcap format!
    
    Also, improve *that* message to say "...or not libpcap data", and put a
    period at the end of the error messages.
    
    Change-Id: I175f9399fe99ce424f1d83596b7330e1fa5c0625
    Reviewed-on: https://code.wireshark.org/review/16349
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-on: https://code.wireshark.org/review/16353

commit beee9a4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 3 08:16:45 2016 -0700

    [Automatic update for 2016-07-03]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I80c2f124f48087aaaa04379daf8dc96902cf4279
    Reviewed-on: https://code.wireshark.org/review/16266
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3ce7de0
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jul 2 08:23:34 2016 -0400

    packetbb: Prevent divide by 0.
    
    Bug: 12577
    Change-Id: Ibfa605597b786d8dbf1e256ef2ca6dc691498974
    Reviewed-on: https://code.wireshark.org/review/16241
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 94e97e45cf614c7bb8fe90c23df52910246b2c95)
    Reviewed-on: https://code.wireshark.org/review/16244

commit 9eacbb4
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jul 2 10:37:20 2016 -0400

    dissect_nds_request: Add NULL check
    
    Bug: 12576
    Change-Id: If25d65b58ccc3860a48a48d5dbc4a076a79ad459
    Reviewed-on: https://code.wireshark.org/review/16245
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d49fb83
Author: Ashish Shukla <shukla.a@gmail.com>
Date:   Fri Jun 24 15:59:39 2016 -0700

    radiotap: Fix for the VHT 20MHz MCS 9 data rate not displayed
    
    MCS 9 at 20 MHz is valid for 3 and 6 spatial streams.
    Changed the rate table to include rate (mbps) for VHT 20MHz MCS 9.
    
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    Bug: 12558
    Change-Id: Ia16ae545a5ac1779131e24e1f54a5659390cd321
    Reviewed-on: https://code.wireshark.org/review/16146
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a4711f80c6d466cdd7eef376bf911699f55d35eb)
    Reviewed-on: https://code.wireshark.org/review/16161

commit 35e20d7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 26 17:37:49 2016 -0700

    The "coding" subfield of the VHT field is a bitmask.
    
    Make the four coding fields bitfields, with the appropriate bit.
    
    Change-Id: Iec5b016fda9c694cf0ff2ad345f22bc3f98b557f
    Reviewed-on: https://code.wireshark.org/review/16157
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 13f5335
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 26 08:23:36 2016 -0700

    [Automatic update for 2016-06-26]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I298e68156858fb6c457b0c4769dde25081eb9852
    Reviewed-on: https://code.wireshark.org/review/16145
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7df04cb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 23 02:51:21 2016 -0700

    Fix previous fix.  What a mess this is....
    
    Change-Id: I301e13d12b0746a47463a5af1c2f6fef2392c1ec
    Reviewed-on: https://code.wireshark.org/review/16095
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit be8fe4519db1e8a5715950dfa7df70185c1821fa)
    Reviewed-on: https://code.wireshark.org/review/16096

commit 5375911
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 23 02:33:46 2016 -0700

    Fix some of the brokenness in the PRP redundancy control trailer dissector.
    
    IF YOU ARE DOING A HEURISTIC CHECK TO DETERMINE WHETHER THE PACKET
    YOU'RE LOOKING AT IS ONE YOU SHOULD DISSECT, EVEN IN A DISSECTOR
    THAT'S NOT REGISTERED AS A HEURISTIC DISSECTOR, DO NOT LOOK AT PACKET
    BYTES UNLESS YOU HAVE ALREADY DETERMINED THAT THEY ARE AVAILABLE IN THE
    CAPTURE.
    
    THERE ARE NO EXCEPTIONS TO THIS RULE.
    
    Bug: 9826
    Change-Id: I2327a92ee760003bc10489263c0c53acdf2094e9
    Reviewed-on: https://code.wireshark.org/review/16092
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a51b6a60b18a3fc81738533a84a72cd0b639ce5e)
    Reviewed-on: https://code.wireshark.org/review/16094

commit f4caf04
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jun 21 01:19:47 2016 -0400

    Check for negative nanoseconds in io,stat tap.
    
    Seconds were already being checked for negative values, but if there is
    only a fraction of a second, the negative check wasn't being done,
    which led to bad results.
    
    Bug: 9014
    Change-Id: I820e0a4b1384330acebf4a632a04f7840db2288b
    Reviewed-on: https://code.wireshark.org/review/16046
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e6481a9e882ed9b34abd2d898c9a12f3ca56d91e)
    Reviewed-on: https://code.wireshark.org/review/16067

commit b626319
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 19 15:18:00 2016 -0700

    Don't assume we have an array of GeoIP databases.
    
    The attempt to open them might fail; if geoip_dat_arr is null, just
    return 0 as the number of databases, don't crash.
    
    Change-Id: I967d863d328a42d7dce79f58d4fa67d922d0cb2c
    Reviewed-on: https://code.wireshark.org/review/16025
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 30919f7708a40ac536da07e6157e0f2ec250abe6)
    Reviewed-on: https://code.wireshark.org/review/16027

commit 5392079
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 19 08:25:22 2016 -0700

    [Automatic update for 2016-06-19]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ie94214082133dd2e90d53c08c00bb5448435bdd1
    Reviewed-on: https://code.wireshark.org/review/16016
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit de3a604
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed Jun 15 08:53:14 2016 +0200

    Let the calculated window scale be 16 bit wide.
    
    Even though TCP window scale shift is only 8 bits, the scale
    calculated from it is max 16384. therefor a 16 bit value.
    Let the tree item map to the single byte in the TVB, while
    allowing the value to be 16 bit.
    
    Bug: 12525
    Change-Id: I41cebc62f6b8b09e13efa5f3b7432001e8d994e1
    Reviewed-on: https://code.wireshark.org/review/15914
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b26e757b310180bd2ab867dd5ad0cc0261993135)
    Reviewed-on: https://code.wireshark.org/review/15915
    (cherry picked from commit c62ffc4cbc228da25df7bebb663546de07a74237)
    Reviewed-on: https://code.wireshark.org/review/15916

commit 199392b
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Sat Jun 11 14:21:17 2016 +0200

    Actually progress through the command data (CID-281394)
    
    The loop reading through the command data doesn't progress through
    it, it just reads until the available data (represented by max_length)
    runs out. It therefore:
    - doesn't present the commands
    - doesn't detect a missing final marker bit (CID-281394)
    This change does make the code progress through the command data,
    fixing both issues in the process.
    
    Change-Id: I61ba8b56b4a153affe9b4f9a574267f981ef0594
    Reviewed-on: https://code.wireshark.org/review/15825
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit be1213332688ee9ee3375fd45161ab9c6e8274ca)
    Reviewed-on: https://code.wireshark.org/review/15847

commit df53b6f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 12 08:26:49 2016 -0700

    [Automatic update for 2016-06-12]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I5bea3176f30ab8ed8b5fe5cc5324447a471e869f
    Reviewed-on: https://code.wireshark.org/review/15845
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0c296f0
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Sat Jun 11 14:49:59 2016 +0200

    Store the tree item to add to later (CID-1159152)
    
    The tree item needed to test and append to isn't being stored,
    so the items are never amended with notes, resulting in dead code.
    
    Change-Id: Ib1a9b7994ad12a9a9013d1bc1e1e4c165f34f20f
    Reviewed-on: https://code.wireshark.org/review/15826
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 4cab0516cc1108b2a9538702ea105bb6053a425f)
    Reviewed-on: https://code.wireshark.org/review/15838

commit 4cb60d4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jun 10 07:04:44 2016 +0200

    LANforge: fix wrong offset for magic detection
    
    Issue reported by Brent Lovelace https://www.wireshark.org/lists/wireshark-dev/201606/msg00034.html
    
    Change-Id: If296f01747316ddbe28e88d4d11d9df90d68bc5d
    Reviewed-on: https://code.wireshark.org/review/15800
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 777cddd6cb3bf0e619e9a0b7b30e2726dd644f0f)
    Reviewed-on: https://code.wireshark.org/review/15802
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 517528d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 7 14:05:23 2016 -0700

    1.12.12 → 1.12.13.
    
    Change-Id: I24c8b4564827a6b5a1e6543c9afe8a10ab713e88
    Reviewed-on: https://code.wireshark.org/review/15771
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
